petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscViewerHDF5HasObject

Check whether a dataset with the same name as given object exists in the HDF5 file under current group

### Synopsis

    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5HasObject(PetscViewer viewer, PetscObject obj, PetscBool *has)

### Input Parameters

| viewer | - The HDF5 viewer
| obj | - The named object

### Output Parameter

has -Flag for dataset existence; PETSC_FALSE for unnamed object

### Notes

If the path exists but is not a dataset, this returns PETSC_FALSE as well.

### See Also

PetscViewerHDF5Open(), PetscViewerHDF5HasAttribute(), PetscViewerHDF5PushGroup(),PetscViewerHDF5PopGroup(),PetscViewerHDF5GetGroup()

### Level

advanced

### Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

### Examples

src/ksp/ksp/examples/tutorials/ex27.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages